import { Injector } from '@angular/core';
import { NgxNotificationConfig, NotificationAlertContainerStyles, NotificationData } from './ngx-notification-config';
import { NgxNotificationRef } from './ngx-notification-ref';
import { Overlay } from '@angular/cdk/overlay';
import { PortalInjector } from '@angular/cdk/portal';
export declare class NgxBootstrapAlertNotificationService {
    private overlay;
    private parentInjector;
    private notificationConfig;
    private lastNotification;
    constructor(overlay: Overlay, parentInjector: Injector, notificationConfig: NgxNotificationConfig);
    private _lastMessage;
    lastMessage: string | string[];
    show(data: NotificationData, config?: NgxNotificationConfig): NgxNotificationRef;
    getPositionStrategy(): import("@angular/cdk/overlay").GlobalPositionStrategy;
    getInjector(data: NotificationData, notificationRef: NgxNotificationRef, parentInjector: Injector, notificationConfig?: NgxNotificationConfig, containerStyles?: NotificationAlertContainerStyles): PortalInjector;
    private createContainerStyles;
}
