import { OnInit } from '@angular/core';
import { BehaviorSubject, Observable } from 'rxjs';
import { NgxNotificationConfig, NotificationAlertContainerStyles, NotificationData } from './ngx-notification-config';
import { NgxNotificationRef } from './ngx-notification-ref';
export declare class NgxBootstrapAlertNotificationComponent implements OnInit {
    readonly data: NotificationData;
    readonly ref: NgxNotificationRef;
    readonly containerStyles: NotificationAlertContainerStyles;
    notificationConfig: NgxNotificationConfig;
    show: boolean;
    animatedClass: string;
    notification: {
        obs: {
            stepTimer: Observable<any>;
            completeTimer: Observable<any>;
        };
        paused: BehaviorSubject<boolean>;
    };
    constructor(data: NotificationData, ref: NgxNotificationRef, containerStyles: NotificationAlertContainerStyles, notificationConfig: NgxNotificationConfig);
    ngOnInit(): void;
    close(): void;
    onMouseOver(): void;
    onMouseLeave(): void;
    private dismissibleTimer;
    private getPausableTimer;
}
